---
Style/OpenStructUse:
  Exclude:
  - app/helpers/application_settings_helper.rb
  - ee/spec/db/production/license_spec.rb
  - ee/spec/features/projects/new_project_spec.rb
  - ee/spec/finders/template_finder_spec.rb
  - ee/spec/graphql/ee/resolvers/board_lists_resolver_spec.rb
  - ee/spec/helpers/ee/blob_helper_spec.rb
  - ee/spec/lib/gitlab/auth/group_saml/failure_handler_spec.rb
  - ee/spec/lib/gitlab/legacy_github_import/project_creator_spec.rb
  - lib/api/wikis.rb
  - lib/gitlab/git/diff_collection.rb
  - lib/gitlab/import_export/after_export_strategies/base_after_export_strategy.rb
  - lib/gitlab/testing/request_inspector_middleware.rb
  - lib/mattermost/session.rb
  - spec/controllers/admin/clusters_controller_spec.rb
  - spec/controllers/groups/clusters_controller_spec.rb
  - spec/controllers/import/fogbugz_controller_spec.rb
  - spec/controllers/import/gitlab_controller_spec.rb
  - spec/controllers/projects/clusters_controller_spec.rb
  - spec/dependencies/omniauth_saml_spec.rb
  - spec/factories/go_module_versions.rb
  - spec/factories/wiki_pages.rb
  - spec/features/projects/clusters/gcp_spec.rb
  - spec/features/projects/clusters_spec.rb
  - spec/finders/template_finder_spec.rb
  - spec/graphql/mutations/branches/create_spec.rb
  - spec/graphql/mutations/clusters/agent_tokens/create_spec.rb
  - spec/graphql/mutations/clusters/agents/create_spec.rb
  - spec/graphql/mutations/clusters/agents/delete_spec.rb
  - spec/graphql/mutations/commits/create_spec.rb
  - spec/helpers/application_settings_helper_spec.rb
  - spec/helpers/profiles_helper_spec.rb
  - spec/initializers/doorkeeper_spec.rb
  - spec/lib/gitlab/auth/o_auth/provider_spec.rb
  - spec/lib/gitlab/cleanup/orphan_lfs_file_references_spec.rb
  - spec/lib/gitlab/database/migrations/runner_spec.rb
  - spec/lib/gitlab/gitaly_client/blobs_stitcher_spec.rb
  - spec/lib/gitlab/gitaly_client/diff_stitcher_spec.rb
  - spec/lib/gitlab/graphql/pagination/keyset/connection_spec.rb
  - spec/lib/gitlab/legacy_github_import/project_creator_spec.rb
  - spec/lib/gitlab/quick_actions/command_definition_spec.rb
  - spec/models/design_management/design_action_spec.rb
  - spec/models/design_management/design_at_version_spec.rb
  - spec/models/user_spec.rb
  - spec/presenters/packages/nuget/search_results_presenter_spec.rb
  - spec/services/packages/nuget/metadata_extraction_service_spec.rb
  - spec/services/projects/import_service_spec.rb
  - spec/services/system_note_service_spec.rb
  - spec/support/helpers/import_spec_helper.rb
  - spec/support/helpers/login_helpers.rb
  - spec/support/helpers/repo_helpers.rb
  - spec/tooling/rspec_flaky/flaky_example_spec.rb
  - tooling/rspec_flaky/flaky_example.rb
